RDKit: RDKit::MolDraw2D_detail::DrawShapePolyLine Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::DrawShapePolyLine Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapePolyLine:

## Public Member Functions
| DrawShapePolyLine (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1, DashPattern dashPattern=noDash)
| DrawShapePolyLine (const DrawShapePolyLine &)=delete
| DrawShapePolyLine (DrawShapePolyLine &&)=delete
| ~DrawShapePolyLine () override=default
DrawShapePolyLine & | operator= (const DrawShapePolyLine &)=delete
DrawShapePolyLine & | operator= (DrawShapePolyLine &&)=delete
void | myDraw (MolDraw2D &drawer) const override
bool | doesRectClash (const StringRect &rect, double padding) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const
virtual void | scale (const Point2D &scale_factor)
virtual void | move (const Point2D &trans)

## Public Attributes
DashPattern | dashPattern_
Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 125 of file DrawShape.h.

## Constructor & Destructor Documentation

## ◆ DrawShapePolyLine() [1/3]

RDKit::MolDraw2D_detail::DrawShapePolyLine::DrawShapePolyLine | ( | const std::vector< Point2D > & | points,
|  | double | lineWidth = 2.0,
|  | bool | scaleLineWidth = false,
|  | DrawColour | lineColour = DrawColour(0, 0, 0),
|  | bool | fill = false,
|  | int | atom1 = -1,
|  | int | atom2 = -1,
|  | int | bond = -1,
|  | DashPattern | dashPattern = noDash )

References RDKit::noDash.

Referenced by DrawShapePolyLine(), DrawShapePolyLine(), operator=(), and operator=().

## ◆ DrawShapePolyLine() [2/3]

RDKit::MolDraw2D_detail::DrawShapePolyLine::DrawShapePolyLine | ( | const DrawShapePolyLine & |  | ) |
| delete

References DrawShapePolyLine().

## ◆ DrawShapePolyLine() [3/3]

RDKit::MolDraw2D_detail::DrawShapePolyLine::DrawShapePolyLine | ( | DrawShapePolyLine && |  | ) |
| delete

References DrawShapePolyLine().

## ◆ ~DrawShapePolyLine()

RDKit::MolDraw2D_detail::DrawShapePolyLine::~DrawShapePolyLine | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapePolyLine::doesRectClash | ( | const StringRect & | rect,
|  | double | padding ) const
| overridevirtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## ◆ myDraw()

void RDKit::MolDraw2D_detail::DrawShapePolyLine::myDraw | ( | MolDraw2D & | drawer | ) | const
| overridevirtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## ◆ operator=() [1/2]

DrawShapePolyLine & RDKit::MolDraw2D_detail::DrawShapePolyLine::operator= | ( | const DrawShapePolyLine & |  | ) |
| delete

References DrawShapePolyLine().

## ◆ operator=() [2/2]

DrawShapePolyLine & RDKit::MolDraw2D_detail::DrawShapePolyLine::operator= | ( | DrawShapePolyLine && |  | ) |
| delete

References DrawShapePolyLine().

## Member Data Documentation

## ◆ dashPattern_

DashPattern RDKit::MolDraw2D_detail::DrawShapePolyLine::dashPattern_

Definition at line 140 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h